Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_reserve_overview(chain=models.V1AaveReserveOverviewChain.ARBITRUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveReserveOverview({
chain: "arbitrum",
token: "USDC",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/aave/reserve_overview \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/aave/reserve_overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tvl": 1,
"total_borrowed": 1,
"utilization_ratio": 0.5
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Aave V3
Reserve Overview
Returns key metrics for Aave Reserves:
- Total Supplied (TVL) in USD
- Total Borrowed in USD
- Utilization Ratio
See below for more info:
GET
/
v1
/
aave
/
reserve_overview
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.aave_v3.aave_reserve_overview(chain=models.V1AaveReserveOverviewChain.ARBITRUM, token="USDC")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.aaveV3.aaveReserveOverview({
chain: "arbitrum",
token: "USDC",
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum Optional block number (defaults to latest).
The symbol or address of the asset.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)
Examples:
"USDC"
"WETH"
"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"
Response
Successful Response
Total tokens supplied in an Aave Reserve in USD. E.G. How much WBTC has been supplied on Aave in USD.
Required range:
x >= 0Total tokens borrowed in an Aave Reserve converted to USD. E.G. How much WBTC has been supplied on Aave (in USD).
Required range:
x >= 0Total borrowed divided by total supplied in an Aave Reserve. E.G. How much WBTC has been borrowed on Aaave divided by the amount supplied
Required range:
0 <= x <= 1Was this page helpful?